import Vue from 'vue'
import Router from 'vue-router'

import home from './map/home'
import login from "./map/login";

Vue.use(Router)
const originalPush = Router.prototype.push
Router.prototype.push = function push(location) {
   return originalPush.call(this, location).catch(err => err)
}
export default  new Router({
  mode: 'hash',
  base: process.env.BASE_URL,
  routes: [
    home,
    ...login
  ]
})
